﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataGrid_sample
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Item> items = new List<Item>();
            items.Add(new Item { Id = 1, Name = "タナカ" });
            items.Add(new Item { Id = 2, Name = "サトウ" });
            items.Add(new Item { Id = 3, Name = "イケダ" });

            this.DataContext = items;

            xamDataGrid1.Loaded += XamDataGrid1_Loaded;
            
        }

        private void XamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataGrid grid = sender as XamDataGrid;
            DataRecord firstRecord = grid.Records.FirstOrDefault(r => r.IsDataRecord == true) as DataRecord;

            if (firstRecord != null)

            {
                // 最初のセルを取り出し、SelectedItems.CellsにAdd
                Cell firstCell = firstRecord.Cells[0];
                grid.SelectedItems.Cells.Add(firstCell);
            }
        }

    }

    public class Item
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}
